| Home | Libraries | People | FAQ | More

## Global alpha

boost::xpressive::alpha — Matches an alphabetic character.

## Synopsis

    // In header: <boost/xpressive/regex_primitives.hpp>

    unspecified alpha;

## Description

The regex traits are used to determine which characters are alphabetic. To match any character that is not alphabetic, use ~alpha.

| Note
alpha is equivalent to /[[:alpha:]]/ in perl. ~alpha is equivalent to /[[:^alpha:]]/ in perl.